Package nl.tudelft.simulation.dsol.tutorial.section45

## Class Port

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section45.Port

    public class Port
    extends Object

A Port.

Copyright (c) 2002-2021 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

### Constructor Summary

Constructors
`Port​(DEVSSimulatorInterface.TimeDouble simulator)` constructs a new Port.

### Method Summary

All Methods Instance Methods Concrete Methods
`Resource<Double,​Double,​SimTimeDouble>` `getJetties()`
`Resource<Double,​Double,​SimTimeDouble>` `getTugs()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Port

    public Port​(DEVSSimulatorInterface.TimeDouble simulator)

constructs a new Port.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator

### Method Detail

#### getJetties

    public Resource<Double,​Double,​SimTimeDouble> getJetties()

Returns:
  Returns the jetties.

#### getTugs

    public Resource<Double,​Double,​SimTimeDouble> getTugs()

Returns:
  Returns the tugs.